CVE-2018-6521

CVE: CVE-2018-6521
Published: 2018-02-02T01:29Z
Description Language: en
Description: The sqlauth module in SimpleSAMLphp before 1.15.2 relies on the MySQL utf8 charset, which truncates queries upon encountering four-byte characters. There might be a scenario in which this allows remote attackers to bypass intended access restrictions.
References:
https://lists.debian.org/debian-lts-announce/2018/02/msg00008.html
https://simplesamlphp.org/security/201801-03
https://www.debian.org/security/2018/dsa-4127